Package uk.ac.starlink.topcat.vizier

## Class WordVizierMode

- java.lang.Object
- - uk.ac.starlink.topcat.vizier.SearchVizierMode
  - - uk.ac.starlink.topcat.vizier.WordVizierMode

- All Implemented Interfaces:
    `VizierMode`

      public class WordVizierMode
      extends SearchVizierMode

  Vizier mode that allows the user to search for available catalogues by free text keywords.
  Since:
    19 Oct 2009
  Author:
    Mark Taylor

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WordVizierMode​(VizierTableLoadDialog tld)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected java.awt.Component` | `createSearchComponent()` | Constructs the GUI component which the user will fill in to specify what catalogues they want to select from.
    `protected java.lang.String` | `getSearchArgs()` | Returns the arguments, based on the current state of the search component, to pass to the VizieR server to search for available catalogues.
    `void` | `readData()` | Perform whatever updating from the remote server is necessary to initialise the state of this component from the currently installed VizierInfo.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from class uk.ac.starlink.topcat.vizier.SearchVizierMode

      `getComponent, getName, getQueryableTable, getSearchAction, getVizierInfo, includeObsoletes, includeSubTables, setVizierInfo`

- - ### Constructor Detail

    - #### WordVizierMode

          public WordVizierMode​(VizierTableLoadDialog tld)

      Constructor.
      Parameters:
        `tld` - controlling load dialogue

  - ### Method Detail

    - #### readData

          public void readData()

      Description copied from interface: `VizierMode`
      Perform whatever updating from the remote server is necessary to initialise the state of this component from the currently installed VizierInfo. This method is called from the event dispatch thread, but should work asynchronously so as not to block the GUI.

    - #### createSearchComponent

          protected java.awt.Component createSearchComponent()

      Description copied from class: `SearchVizierMode`
      Constructs the GUI component which the user will fill in to specify what catalogues they want to select from. The setEnable() method on the returned component should ideally enable/disable all GUI controls visible in it.
      Specified by:
        `createSearchComponent` in class `SearchVizierMode`
      Returns:
        search component

    - #### getSearchArgs

          protected java.lang.String getSearchArgs()

      Description copied from class: `SearchVizierMode`
      Returns the arguments, based on the current state of the search component, to pass to the VizieR server to search for available catalogues.
      Specified by:
        `getSearchArgs` in class `SearchVizierMode`
      Returns:
        URL fragment giving catalogue search arguments

Copyright © 2003-2018 CCLRC: Council for the Central Laboratory of the Research Councils. All Rights Reserved.